<div>
  <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
    <ng-container *ngTemplateOutlet="fieldTitle; context: {titleValue: 'Логин'}"></ng-container>
    <input type="text"
           placeholder="Введите логин"
           pInputText
           [ngClass]="{'empty-field': !login}"
           [(ngModel)]="login"/>
  </div>
  <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
    <ng-container *ngTemplateOutlet="fieldTitle; context: {titleValue: 'Почта'}"></ng-container>
    <input type="text"
           placeholder="Введите почту"
           pInputText
           [(ngModel)]="email"/>
  </div>
  <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
    <ng-container *ngTemplateOutlet="fieldTitle; context: {titleValue: 'Пароль'}"></ng-container>
    <input type="password"
           placeholder="Введите пароль"
           pInputText
           [ngClass]="{'empty-field': !password}"
           [(ngModel)]="password"/>
  </div>
  <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
    <ng-container *ngTemplateOutlet="fieldTitle; context: {titleValue: 'Подтверждение пароля'}"></ng-container>
    <input type="password"
           placeholder="Введите пароль еще раз"
           pInputText
           [ngClass]="{'empty-field': !passwordConfirm}"
           [(ngModel)]="passwordConfirm"/>
  </div>
  <div *ngIf="showCardNumber"
       class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
    <ng-container *ngTemplateOutlet="fieldTitle; context: {titleValue: 'Номер карты'}"></ng-container>
    <input type="text"
           placeholder="Введите номер карты"
           pInputText
           [(ngModel)]="cardNumber"/>
  </div>
</div>

<div>
  <p-checkbox label="Сохранить пользователя в локальном хранилище"
              [binary]="true"
              [(ngModel)]="isSelected"
              class="mb-3">

  </p-checkbox>
</div>

<div class="caption">
  <p>* поля являются обязательными</p>
</div>

<div>
  <button type="button"
          (click)="register()"
          [disabled]="!login || !password || !passwordConfirm"
          class="btn btn-primary w-100">
    Зарегестрироваться
  </button>
</div>


<ng-template #fieldTitle let-value = "titleValue">
  <span class="mb-2 me-2">{{value}}
    <sup *ngIf="value !== 'Почта'">*</sup>
  </span>
</ng-template>
